{% extends 'layout.html' %}
{% load i18n %}
{% load static %}
{% load display_tags %}
{% load thumbnail %}
{% load purchase_info_tags %}
{% load site_configs_tags %}
{% load product_delivery_day %}
{% load utils %}

{% block styles %}
    {{ block.super }}
    {% include 'gallery/photoswipe-gallery-styles.html' %}
    {% include 'gallery/lightgallery-styles.html' %}
{% endblock %}

{% block body_class %}card-page{% endblock %}

{% block content_wrapper %}
    <div>
        {% purchase_info_for_product request product as session %}
        {% get_configs 'common.AboutCompany' as company_info %}
        {% include 'web/partials/breadcrumbs.html' with path=breadcrumbs %}
        <div class="card-section">
            <div class="container">
                <div class="d-flex">
                    <!-- Для моб. версии (заголовок) -->
                    <div class="item__title__box hidden-lg">
                        <h1 class="item__title">Декантер zalto mystique</h1>
                        <a class="logo-block" href="{{ product.brand.get_absolute_url }}"
                               title="{{ product.brand.title }}">
                            <img src="{{ img.url }}" alt = "{{ product.brand.title }}" class="item__brand">
                        </a>
                        <img src="{% static 'img/brands/Zalto.png' %}" alt="" class="item__brand">
                    </div>

                    <div class="item__img" id="lightgallery">
                        <div class="item-tags">
                            {% if session.price.has_range_discount %}
                                <img src="{% static 'img/icons/tags/discount.png' %}" title="Скидка" alt="Скидка" class="gift img-svg">
                            {% endif %}
                            {% if product.present %}
                                <img src="{% static 'img/icons/tags/gift.png' %}" title="Подарок к покупке" alt="" class="gift img-svg">
                            {% endif %}
                        </div>
                        <div class="main-img">
    {#                            <img src="{% static 'img/warranty/1-year.png' %}" alt="" class="warranty">#}
                            {% thumbnail product.primary_image.original '1680' upscale=False as large_im %}
                                    {% thumbnail product.primary_image.original '370x370' padding=True as im %}
                                        <img src="{{ im.url }}" alt="{{ product.primary_image.caption }}" data-index="0" class="item__face">
                                    {% endthumbnail %}
                            {% endthumbnail %}

                        </div>
                        {% include "catalogue/partials/item_thumbs.html" %}
                    </div>
                    <div class="item__content js-row-container loading" data-pk={{ product.pk }}>
                        <div class="loading__overlay"></div>
                        <div class="item__title__box">
                            <h1 class="item__title">{{ product.get_title }}</h1>
                            {% if product.brand %}
                                {% thumbnail product.brand.logo "100" as img %}
                                    <a class="logo-block" href="{{ product.brand.get_absolute_url }}"
                                        title="{{ product.brand.title }}">
                                        <img src="{{ img.url }}" alt = "{{ product.brand.title }}" class="item__brand">
                                    </a>
                                 {% endthumbnail %}
                            {% endif %}
                        </div>

                        <div class="item-features">
                            <div class="item-feature">
                                <span>Артикул:</span>
                                <b>{{ product.upc }}</b>
                            </div>

                            {% for attribute_value in product.attribute_values.all %}
                                {% if attribute_value.attribute.display_in_preview and attribute_value.value %}
                                    <div class="item-feature">
                                        <span >{{ attribute_value.attribute.name }}:</span>
                                        <b>{{ attribute_value.value_as_text|striptags }}</b>
                                    </div>
                                {% endif %}
                            {% endfor %}
                        </div>

                        <div class="item-absent">
                            <img "{% static 'mg/icons/menu/close.svg' %}" alt="" class="img-svg">
                            нет в наличии
                        </div>

                        {% include "oscar/catalogue/packaging_mode_tab.html" %}
                        {% include "partials/delivery_info.html" %}
                        <div class="unit-block">
                            {% include 'partials/purchase_button_block.html' %}
                            {% include 'partials/alternative_purchase_buttons.html' %}
                        </div>
                        {% if product.present %}
                            <div class="gift-for-you">
                                <a target="_blank" rel="noopener noreferrer" href="{{ product.present.get_absolute_url }}"></a>
                                <img src="{% static 'img/icons/tags/gift.png' %}" title="Подарок к покупке" alt="" class="gift img-svg">
                                {% with product.present.primary_image.original as im %}
                                    <div class="gift-img" style="background-image: url({{ im.url }})"></div>
                                {% endwith %}
                                <div class="gift-content">
                                    <div class="gift-name">Подарок за покупку</div>
                                    <div class="gift-desc">{{ product.present }}</div>
                                </div>
                            </div>
                        {% endif %}
                        <div class="item-discount">
                            <span>А вдруг скидки?</span>
                            <button
                                id="subscribeForDiscountButton"
                                class="open-abstract-purchase-modal"
                                data-toggle="modal"
                                data-modal="modal_skidka"
                                data-target="#abstract-purchase-modal"
                                data-modal-title="Подписаться на скидку"
                                data-modal-subtitle="Если когда-нибудь на этот товар появится скидка, Вы получите уведомление!"
                                data-yandex-goal="tjgykxe"
                                data-action="{% url 'subscribe-for-discount' %}"
                                data-product-id="{{ product.id }}"
                                data-placeholder="Контактный email"
                                data-product-title="{{ product.title }}"
                                data-product-price="{% spaceless %}
                                    {% if session.price.has_range_discount %}
                                        {% if session.price.is_tax_know %}
                                            {{ session.price.incl_range_discount_incl_tax|floatformat:0 }}
                                        {% else %}
                                            {{ session.price.incl_range_discount_excl_tax|floatformat:0 }}
                                        {% endif %}
                                    {% else %}
                                        {% if session.price.is_tax_know %}
                                            {{ session.price.incl_tax|floatformat:0 }}
                                        {% else %}
                                            {{ session.price.excl_tax|floatformat:0 }}
                                        {% endif %}
                                    {% endif %}
                                {% endspaceless %}"
                                {% thumbnail product.primary_image.original '370x370' padding=True as im %}
                                    data-product-img="{{ im.url }}"
                                {% endthumbnail %}>
                                Подписаться на скидку товара
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-item-tabs">
                <div class="container">

                    <div class="item-tabs__header">
                        <ul class="tabs__caption">
                            <li id="nav-desc-tab" data-toggle="tab" href="#nav-desc" role="tab" aria-controls="nav-desc" aria-expanded="true" class="active">Описание</li>
                            <li id="nav-har-tab" data-toggle="tab" href="#nav-har" role="tab" aria-controls="nav-har">Характеристики</li>
                            <li id="nav-pay-tab" data-toggle="tab" href="#nav-pay" role="tab" aria-controls="nav-pay">Оплата и доставка</li>
                            <li id="nav-back-tab" data-toggle="tab" href="#nav-back" role="tab" aria-controls="nav-back">Обмен и возврат</li>
                            <li id="nav-gar-tab" data-toggle="tab" href="#nav-gar" role="tab" aria-controls="nav-gar">Гарантия</li>
                        </ul>
                    </div>

                    <div class="item-tabs__content" id="nav-haractersbContent">
                        <!-- Описание -->
                        <div class="item-tabs__block tab-description active" id="nav-desc" role="tabpanel" aria-labelledby="nav-desc-tab">
                            {{ product.description|safe }}
                            <hr>
                            <div class="documents-section">
                                <a href="#" class="document-link">
                                    <img src="{% static 'img/icons/24px/doc.svg' %}" alt="" class="img-svg">
                                    Инструкция использования декантера
                                </a>
                                <a href="#" class="document-link">
                                    <img src="{% static 'img/icons/24px/pdf.svg' %}" alt="" class="img-svg">
                                    Сертификат
                                </a>
                                <a href="#" class="document-link">
                                    <img src="{% static 'img/icons/24px/xls.svg' %}" alt="" class="img-svg">
                                    Информация о чем-нибудь
                                </a>
                            </div>
                        </div>

                        <!-- Характеристика -->
                        <div class="item-tabs__block tab-feature" id="nav-har" role="tabpanel" aria-labelledby="nav-har-tab">
                            {% if left_column or right_column %}
                                <div class="d-flex">
                                    <ul class="features">
                                        {% for attribute_value in left_column %}
                                            {% if attribute_value.value %}
                                                <li>
                                                    <div class="name">{{ attribute_value.attribute.name }}</div>
                                                    <div class="value">{{ attribute_value.value_as_text|striptags }}</div>
                                                </li>
                                            {% endif %}
                                        {% endfor %}
                                    </ul>
                                    <ul class="features">
                                        {% for attribute_value in right_column %}
                                            {%  if attribute_value.value %}
                                                <li>
                                                    <div class="name">{{ attribute_value.attribute.name }}</div>
                                                    <div class="value">{{ attribute_value.value_as_text|striptags }}</div>
                                                </li>
                                            {% endif %}
                                        {% endfor %}
                                    </ul>
                                </div>
                            {% else %}
                                - Нет характеристик
                            {% endif %}
                        </div>
                        <div class="item-tabs__block tab-feature">

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="advantages">
            <div class="container">
                <div class="d-flex">
                    <div class="advantages__item">
                        <img src="{% static 'img/icons/72px/Garanty.svg' %}" alt="">
                        <div class="advantages__title">
                            Самые выгодные цены
                        </div>
                    </div>
                    <div class="advantages__item">
                        <img src="{% static 'img/icons/72px/Destributor.svg' %}" alt="">
                        <div class="advantages__title">
                            Официальный дистрибьютор
                        </div>
                    </div>
                    <div class="advantages__item">
                        <img src="{% static 'img/icons/72px/Sommelier.svg' %}" alt="">
                        <div class="advantages__title">
                            Консультации <br>профессионального сомелье
                        </div>
                    </div>
                    <div class="advantages__item">
                        <img src="{% static 'img/icons/72px/certificates.svg' %}" alt="">
                        <div class="advantages__title">
                            Сертификаты и гарантия <br>качества на все товары
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% if sommelier_cta %}
            {% include "web/partials/sommelier_cta.html" with product_id=product.pk %}
        {% endif %}
        {% if session.availability.is_available_to_buy %}
            {% include 'web/partials/products_slider.html' with title="C этим товаром покупают" products=also_buying_products %}
        {% endif %}
        {% include 'web/partials/products_slider.html' with title="Ранее вы смотрели" products=recently_viewed_products %}
        {% include 'web/partials/sommelier_slider.html' %}
    </div>
{% endblock %}

{% block modal_windows %}
    {{ block.super }}
{#    {% include 'gallery/photoswipe-overlay.html' %}#}

{% endblock %}

{% block extrascripts %}
    {% include 'gallery/photoswipe-gallery-scripts.html' %}
    {% include 'gallery/lightgallery-scripts.html' %}

    <script type="text/javascript">

        new Vue({
            el: '#vue-wrapper-packaging-mode',
            delimiters: ['[[', ']]'],
            data() {
                return {
                    productId: "{{ product.pk }}",
                    isItemPurchaseModeActive: true,
                    packs: null,
                    selectedPack: null
                }
            },
            created() {
                const url = `/api/products/${this.productId}/packs/`
                unauthorizedGet(url).then(response => {
                    this.packs = response;
                    this.selectedPack = response[0]
                })
            },
            methods: {
                togglePackagingMode() {
                    this.isItemPurchaseModeActive = !this.isItemPurchaseModeActive;
                },
                onSelectPack(pack){
                    this.selectedPack = pack;
                }
            },
        });
    </script>
{% endblock %}


